Blog

Nieuwe technologie, creatieve inspiratie en alles wat ons verder boeit.

PHP 5.6 of PHP 7.1? Zijn er updates nodig aan jouw website en (Dualler) CMS?

Heb je een website die gebruik maakt van het Dualler CMS? Lees dan dit artikel a.u.b. even aandachtig door. We willen je namelijk graag informeren over een aantal (noodzakelijke) updates aan je Dualler CMS. 

Het Dualler CMS klaarmaken voor PHP 7.1 of hoger

Het Dualler CMS maakt gebruik van de programmeertaal PHP die op de webserver draait. En daar is het Dualler CMS niet uniek in, meer dan 80% van de websites maakt gebruik van PHP. Er zijn verschillende versies van de programmeertaal PHP. De meeste webservers draaien op PHP 5.x. Maar die versie wordt niet meer ondersteund door de makers. Actie is dus nodig!

Ondersteuning PHP 5.6 en PHP 7.0 stopt

Vanaf januari 2019 stoppen de ontwikkelaars van PHP met het uitbrengen van updates voor de versies 5.6 en 7.0. Daarom is het noodzakelijk dat je website en Dualler CMS klaar gemaakt worden voor PHP 7.1 of hoger. Dat is nodig om ook een nieuwere versie in te kunnen stellen bij je hostingprovider. Zo blijft de beveiliging van je website up-to-date. En kunnen cybercriminelen hem minder makkelijker hacken.

Er zijn al een aantal providers die sinds vorig jaar PHP 5.6 een 7.0 niet meer ondersteunen. Bij klanten die bij Mijndomein zitten bijvoorbeeld, hebben we voor 1 november 2018 al actie moeten ondernemen.

Voordelen van de nieuwere PHP-versies

Het grootste voordeel van de nieuwe PHP-versies (7.1 en hoger) is de snelheid. Je website zal merkbaar sneller laden als we die versies gebruiken. Dat is natuurlijk fijn voor je bezoekers, maar ook voor de zoekresultaten in Google. Verder is de foutafhandeling in PHP 7 sterk verbeterd. Dat is vooral handig voor onze webdevelopers. En PHP 7.1 en hoger is natuurlijk ook veiliger.

Wat gebeurt er als we niet overstappen naar een hogere PHP-versie?

Als je website draait op PHP 5.6 of 7.0 en we ondernemen geen actie, dan zal hij waarschijnlijk fouten gaan vertonen of zelfs offline gaan. Wanneer dat gebeurt is afhankelijk van wanneer jouw provider besluit om te stoppen met het aanbieden van PHP 5.6 of 7.0. Doorgaans zou je een mail of melding moeten krijgen wanneer dat het geval is.

Wil je dat wij je site klaarmaken voor de nieuwe PHP-versie?

Wil je dat wij nu al actie ondernemen? Dan volstaat een e-mailtje of een telefoontje. We inventariseren dan even wat dat inhoudt aan tijd voor jouw website en Dualler CMS. Afhankelijk van de leeftijd van de site en de mogelijkheden van de hostingprovider is het meer of minder werk om je site klaar te maken voor PHP 7.2. En om het bij je provider zo in te stellen dat je webserver op PHP 7.1 of hoger gaat draaien.

Als je een website hebt met het Dualler CMS die we na 1 september 2018 gebouwd hebben, dan is je website klaar voor PHP 7.2. Maar het zou kunnen dat we je webserver nog op een hogere versie moeten instellen. Dat laatste is doorgaans niet meer dan 1 uur werk.

Als je een website hebt met het Dualler CMS die we na 8 november 2017 gebouwd hebben, dan is je website klaar voor PHP 7.1. Je site klaarmaken voor PHP 7.2 is dan maximaal 0,5 uur werk. Het zou kunnen dat we je webserver nog op een hogere versie moeten instellen. Dat laatste is doorgaans niet meer dan 1 uur werk.

Als je een website hebt met het Dualler CMS die we voor 8 november 2017 gebouwd hebben dan is het iets meer werk. We adviseren je ons dan te laten inventariseren of het niet slimmer is om je Dualler CMS meteen in zijn geheel te updaten naar de nieuwste versie. Dat updaten is ongeveer 4 uur werk per taal/website (afhankelijk van het aantal modules/maatwerk).

Wat als mijn website WordPress of de Montay SiteManager gebruikt?

Als je site geen gebruik maakt van het Dualler CMS maar van WordPress of de MonTay SiteManager dan inventariseren we graag even wat het aan tijd kost. In geval van WordPress kan het binnen een uur opgelost worden, maar het kan ook zijn dat het gebruikte template of een van de gebruikte plugins verouderd is en dat er daardoor (veel) meer tijd nodig is.

Als je een website hebt met de MonTay SiteManager dan verwachten we ook ongeveer 4 uur kwijt te zijn aan het updaten.

Mogen wij je helpen?

Uiteraard is het aan jou om ons de opdracht te geven om je site klaar te maken voor de nieuwe versie van PHP. Maar als we je hierbij kunnen helpen neem dan contact met ons op. We inventariseren dan voor je wat technisch noodzakelijk is voor jouw website(s). We maken dan een overzicht voor je met daarbij de aanbevolen werkzaamheden en de geschatte uren.

Neem contact op en zorg dat jouw website er klaar voor is »